package com.bonus.material.supplier.mapper;

import com.bonus.material.supplier.domain.MaSupplier;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface MaSupplierMapper {

    MaSupplier selectById(@Param("supplierId") Long supplierId);

    List<MaSupplier> list(MaSupplier query);

    int insert(MaSupplier supplier);

    int update(MaSupplier supplier);

    int deleteById(@Param("supplierId") Long supplierId);

    List<MaSupplier> listEnabled();

    int getNum(MaSupplier supplier);
}


